Retrieve voice consent
client.Audio.VoiceConsents.Get(ctx, consentID) (*VoiceConsent, error)
GET
/audio/voice_consents/{consent_id}Retrieve voice consent
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
voiceConsent, err := client.Audio.VoiceConsents.Get(context.TODO(), "consent_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceConsent.ID)
}
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}